Debian Bug report logs - #642396
please don't fail if non-existing scripts are specified

version graph

Package: live-config; Maintainer for live-config is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-config is src:live-config.

Reported by: Stanislav Bogatyrev <realloc@realloc.spb.ru>

Date: Thu, 22 Sep 2011 07:51:01 UTC

Severity: wishlist

Found in version 3.0~a26

Fixed in version live-config/3.0~a27-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, realloc@realloc.spb.ru, Debian Live Project <debian-live@lists.debian.org>:
Bug#642396; Package live-config. (Thu, 22 Sep 2011 07:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stanislav Bogatyrev <realloc@realloc.spb.ru>:
New Bug report received and forwarded. Copy sent to realloc@realloc.spb.ru, Debian Live Project <debian-live@lists.debian.org>. (Thu, 22 Sep 2011 07:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stanislav Bogatyrev <realloc@realloc.spb.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-config: In function Cmdline file existence is ignored during _SCRIPTS list construction.
Date: Thu, 22 Sep 2011 11:48:38 +0400
Package: live-config
Version: 3.0~a26
Severity: important
Tags: patch


In function Cmdline file existence is ignored during _SCRIPTS list construction.
This leaves live system in unconfigured state. Here is the patch to fix the issue.

commit 1f698315d768ee12b95e20d63775e91bb8738f2c
Author: Stanislav Bogatyrev <realloc@realloc.spb.ru>
Date:   Wed Sep 21 18:50:18 2011 +0400

    Check if config script exists

diff --git a/scripts/config.sh b/scripts/config.sh
index a8c1c00..392f469 100755
--- a/scripts/config.sh
+++ b/scripts/config.sh
@@ -91,7 +91,9 @@ Cmdline ()
        then
                for _CONFIG in $(echo ${LIVE_CONFIGS} | sed -e 's|,| |g')
                do
-                       _SCRIPTS="${_SCRIPTS} $(ls /lib/live/config/???-${_CONFIG})"
+        if [ -e /lib/live/config/???-${_CONFIG} ];then
+                             _SCRIPTS="${_SCRIPTS} $(ls /lib/live/config/???-${_CONFIG})"
+        fi
                done
        fi

@@ -100,7 +102,9 @@ Cmdline ()
        then
                for _NOCONFIG in $(echo ${LIVE_NOCONFIGS} | sed -e 's|,| |g')
                do
-                       _SCRIPTS="$(echo ${_SCRIPTS} | sed -e "s|$(ls /lib/live/config/???-${_NOCONFIG})||")"
+        if [ -e /lib/live/config/???-${_NOCONFIG} ];then
+                             _SCRIPTS="$(echo ${_SCRIPTS} | sed -e "s|$(ls /lib/live/config/???-${_NOCONFIG})||")"
+        fi
                done
        fi
 }


-- System Information:
Debian Release: 6.0.2
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#642396; Package live-config. (Thu, 22 Sep 2011 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 22 Sep 2011 08:09:04 GMT) Full text and rfc822 format available.

Message #10 received at 642396@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Stanislav Bogatyrev <realloc@realloc.spb.ru>
Cc: 642396@bugs.debian.org
Subject: Re: Bug#642396: live-config: In function Cmdline file existence is ignored during _SCRIPTS list construction.
Date: Thu, 22 Sep 2011 10:07:20 +0200
retitle 642396 please don't fail if non-existing scripts are specified
severity 642396 wishlist
tag 642396 - patch
thanks

On 09/22/2011 09:48 AM, Stanislav Bogatyrev wrote:
> In function Cmdline file existence is ignored during _SCRIPTS list construction.
> This leaves live system in unconfigured state.

this is a purely cosmetical problem if a user specifies a script that
doesn't exist.

> Here is the patch to fix the issue.

since live-config is supposed to be optimized for speed, your patch is
suboptimal.

it introduces one if check for all _SCRIPTS that get assembled, one if
check for all _SCRIPTS that get removed. so, for those that actually get
removed, you introduce *two* if checks, and for those who actually get
run, you introduce one if check.

it's much simpler/faster/elegant to only check the resulting scripts in
the end, once, before sourcing them.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Changed Bug title to 'please don't fail if non-existing scripts are specified' from 'live-config: In function Cmdline file existence is ignored during _SCRIPTS list construction.' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 22 Sep 2011 08:09:05 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'important' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 22 Sep 2011 08:09:06 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 22 Sep 2011 08:09:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#642396; Package live-config. (Thu, 22 Sep 2011 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stanislav Bogatyrev <realloc@realloc.spb.ru>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 22 Sep 2011 08:33:03 GMT) Full text and rfc822 format available.

Message #21 received at 642396@bugs.debian.org (full text, mbox):

From: Stanislav Bogatyrev <realloc@realloc.spb.ru>
To: daniel.baumann@progress-technologies.net
Cc: 642396@bugs.debian.org
Subject: Re: Bug#642396: live-config: In function Cmdline file existence is ignored during _SCRIPTS list construction.
Date: Thu, 22 Sep 2011 12:31:04 +0400
2011/9/22 Daniel Baumann <daniel.baumann@progress-technologies.net>:
> retitle 642396 please don't fail if non-existing scripts are specified
> severity 642396 wishlist
> tag 642396 - patch
> thanks
>
> On 09/22/2011 09:48 AM, Stanislav Bogatyrev wrote:
>> In function Cmdline file existence is ignored during _SCRIPTS list construction.
>> This leaves live system in unconfigured state.
> this is a purely cosmetical problem if a user specifies a script that
> doesn't exist.

No, scripts that doesn't exist are specified not by user, but  in
Cmdline itself.

	live-config.noautologin|noautologin)
				# Disables both console and graphical autologin.
				_SCRIPTS="${_SCRIPTS:-$(ls /lib/live/config/*)}"
				LIVE_NOCONFIGS="${LIVE_NOCONFIGS},sysvinit,gdm,gdm3,kdm,lightdm,lxdm,nodm,slim,upstart,xinit"

If I don't have *-upstart packages installed, config.sh fails.

>> Here is the patch to fix the issue.
> since live-config is supposed to be optimized for speed, your patch is
> suboptimal.
>
> it introduces one if check for all _SCRIPTS that get assembled, one if
> check for all _SCRIPTS that get removed. so, for those that actually get
> removed, you introduce *two* if checks, and for those who actually get
> run, you introduce one if check.
>
> it's much simpler/faster/elegant to only check the resulting scripts in
> the end, once, before sourcing them.
The error is rised by ls in  _SCRIPTS="${_SCRIPTS} $(ls
/lib/live/config/???-${_CONFIG})"
  live-config:ls: cannot access /lib/live/config/???-opernssh-server:
No such file or directory
So checking the list at the end will not fix the issue.

-- 
WBR realloc()




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#642396; Package live-config. (Thu, 22 Sep 2011 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 22 Sep 2011 08:57:06 GMT) Full text and rfc822 format available.

Message #26 received at 642396@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Stanislav Bogatyrev <realloc@realloc.spb.ru>
Cc: 642396@bugs.debian.org
Subject: Re: Bug#642396: live-config: In function Cmdline file existence is ignored during _SCRIPTS list construction.
Date: Thu, 22 Sep 2011 10:54:10 +0200
On 09/22/2011 10:31 AM, Stanislav Bogatyrev wrote:
> If I don't have *-upstart packages installed, config.sh fails.

indeed.

> The error is rised by ls in  _SCRIPTS="${_SCRIPTS} $(ls
> /lib/live/config/???-${_CONFIG})"
>   live-config:ls: cannot access /lib/live/config/???-opernssh-server:
> No such file or directory

the ls just needs a guarding with || true then.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#642396; Package live-config. (Thu, 22 Sep 2011 12:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stanislav Bogatyrev <realloc@realloc.spb.ru>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 22 Sep 2011 12:54:07 GMT) Full text and rfc822 format available.

Message #31 received at 642396@bugs.debian.org (full text, mbox):

From: Stanislav Bogatyrev <realloc@realloc.spb.ru>
To: daniel.baumann@progress-technologies.net
Cc: 642396@bugs.debian.org
Subject: Re: Bug#642396: live-config: In function Cmdline file existence is ignored during _SCRIPTS list construction.
Date: Thu, 22 Sep 2011 16:53:19 +0400
[Message part 1 (text/plain, inline)]
Here is the better patch.

2011/9/22 Daniel Baumann <daniel.baumann@progress-technologies.net>:
> On 09/22/2011 10:31 AM, Stanislav Bogatyrev wrote:
>> If I don't have *-upstart packages installed, config.sh fails.
>
> indeed.
>
>> The error is rised by ls in  _SCRIPTS="${_SCRIPTS} $(ls
>> /lib/live/config/???-${_CONFIG})"
>>   live-config:ls: cannot access /lib/live/config/???-opernssh-server:
>> No such file or directory
>
> the ls just needs a guarding with || true then.
>
> --
> Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
> Email:          daniel.baumann@progress-technologies.net
> Internet:       http://people.progress-technologies.net/~daniel.baumann/
>



-- 
WBR realloc()
[fix2.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#642396; Package live-config. (Thu, 22 Sep 2011 17:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 22 Sep 2011 17:03:10 GMT) Full text and rfc822 format available.

Message #36 received at 642396@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Stanislav Bogatyrev <realloc@realloc.spb.ru>
Cc: 642396@bugs.debian.org
Subject: Re: Bug#642396: live-config: In function Cmdline file existence is ignored during _SCRIPTS list construction.
Date: Thu, 22 Sep 2011 19:00:50 +0200
On 09/22/2011 02:53 PM, Stanislav Bogatyrev wrote:
> Here is the better patch.

if you would like me to apply the patch literally, you would need to 
change the following things:

  * fix broken indenting
  * use '2> /dev/null', not '2>/dev/null'
  * add proper commit message according to the pattern:
    'Doing foo to fix bar (Closes: #nnnnnn).'

plus adding the if check when sourcing the scripts at the end, otherwise 
it's solving the problem only half (though you can make two commits if 
you want, i don't mind).

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#642396; Package live-config. (Fri, 23 Sep 2011 13:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stanislav Bogatyrev <realloc@realloc.spb.ru>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 23 Sep 2011 13:30:03 GMT) Full text and rfc822 format available.

Message #41 received at 642396@bugs.debian.org (full text, mbox):

From: Stanislav Bogatyrev <realloc@realloc.spb.ru>
To: daniel.baumann@progress-technologies.net
Cc: 642396@bugs.debian.org
Subject: Re: Bug#642396: live-config: In function Cmdline file existence is ignored during _SCRIPTS list construction.
Date: Fri, 23 Sep 2011 17:26:46 +0400
[Message part 1 (text/plain, inline)]
2011/9/22 Daniel Baumann <daniel.baumann@progress-technologies.net>:
> On 09/22/2011 02:53 PM, Stanislav Bogatyrev wrote:
>>
>> Here is the better patch.
> if you would like me to apply the patch literally, you would need to change
> the following things:
>
>  * fix broken indenting
done

>  * use '2> /dev/null', not '2>/dev/null'
done

>  * add proper commit message according to the pattern:
>    'Doing foo to fix bar (Closes: #nnnnnn).'
done

> plus adding the if check when sourcing the scripts at the end, otherwise
> it's solving the problem only half (though you can make two commits if you
> want, i don't mind).
There is no need to do that since non-existent files are not added to the list.
Also I have found that in some cases the resulting list contains
duplicated items in unsorted order.
Since it's the part of the same _scripts list construction problem
let's do the sorting in the end.

Thank You for your patience!

-- 
WBR realloc()
[commit-7ec2dfc.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#642396; Package live-config. (Fri, 23 Sep 2011 14:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 23 Sep 2011 14:42:06 GMT) Full text and rfc822 format available.

Message #46 received at 642396@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Stanislav Bogatyrev <realloc@realloc.spb.ru>
Cc: 642396@bugs.debian.org
Subject: Re: Bug#642396: live-config: In function Cmdline file existence is ignored during _SCRIPTS list construction.
Date: Fri, 23 Sep 2011 15:41:28 +0200
On 09/23/2011 03:26 PM, Stanislav Bogatyrev wrote:
> done

[...]

perfect, except the last sed statement uses '/' instead of '|' as seperator.

> There is no need to do that since non-existent files are not added to the list.

indeed, thanks.

> Also I have found that in some cases the resulting list contains
> duplicated items in unsorted order.

curious, what cases are those?

> Since it's the part of the same _scripts list construction problem
> let's do the sorting in the end.

in the default case, do we need to sort them? if not, it would be
probably better to optimize for the common case where we do not use
custom script selection, so sorting (twice) after processing CONFIG and
NOCONFIG would be better/faster?

> Thank You for your patience!

thanks for yours ;)

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#642396; Package live-config. (Fri, 23 Sep 2011 14:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stanislav Bogatyrev <realloc@realloc.spb.ru>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 23 Sep 2011 14:42:08 GMT) Full text and rfc822 format available.

Message #51 received at 642396@bugs.debian.org (full text, mbox):

From: Stanislav Bogatyrev <realloc@realloc.spb.ru>
To: daniel.baumann@progress-technologies.net
Cc: 642396@bugs.debian.org
Subject: Re: Bug#642396: live-config: In function Cmdline file existence is ignored during _SCRIPTS list construction.
Date: Fri, 23 Sep 2011 18:04:29 +0400
> perfect, except the last sed statement uses '/' instead of '|' as seperator.
Should I resend a new patch?

>> Also I have found that in some cases the resulting list contains
>> duplicated items in unsorted order.
> curious, what cases are those?
The most obvious is setting, for example, at the same time "config
noautologin" and $LIVE_CONFIGS.

>> Since it's the part of the same _scripts list construction problem
>> let's do the sorting in the end.
> in the default case, do we need to sort them? if not, it would be
> probably better to optimize for the common case where we do not use
> custom script selection, so sorting (twice) after processing CONFIG and
> NOCONFIG would be better/faster?
IMHO the actual sorting at the end would cover all possible cases and
is quite cheap. On my nodes it takes 0m0.001s of real time, think it's
not a big price for making sure the list is ok.

-- 
WBR realloc()




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#642396; Package live-config. (Fri, 23 Sep 2011 14:42:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 23 Sep 2011 14:42:10 GMT) Full text and rfc822 format available.

Message #56 received at 642396@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Stanislav Bogatyrev <realloc@realloc.spb.ru>
Cc: 642396@bugs.debian.org
Subject: Re: Bug#642396: live-config: In function Cmdline file existence is ignored during _SCRIPTS list construction.
Date: Fri, 23 Sep 2011 16:07:23 +0200
On 09/23/2011 04:04 PM, Stanislav Bogatyrev wrote:
>> perfect, except the last sed statement uses '/' instead of '|' as seperator.
> Should I resend a new patch?

no, not needed. will apply and upload in about an hour.

> IMHO the actual sorting at the end would cover all possible cases and
> is quite cheap. On my nodes it takes 0m0.001s of real time, think it's
> not a big price for making sure the list is ok.

thanks, let's go with it then.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 23 Sep 2011 19:06:09 GMT) Full text and rfc822 format available.

Notification sent to Stanislav Bogatyrev <realloc@realloc.spb.ru>:
Bug acknowledged by developer. (Fri, 23 Sep 2011 19:06:09 GMT) Full text and rfc822 format available.

Message #61 received at 642396-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 642396-close@bugs.debian.org
Subject: Bug#642396: fixed in live-config 3.0~a27-1
Date: Fri, 23 Sep 2011 19:04:01 +0000
Source: live-config
Source-Version: 3.0~a27-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive:

live-config-doc_3.0~a27-1_all.deb
  to main/l/live-config/live-config-doc_3.0~a27-1_all.deb
live-config-runit_3.0~a27-1_all.deb
  to main/l/live-config/live-config-runit_3.0~a27-1_all.deb
live-config-systemd_3.0~a27-1_all.deb
  to main/l/live-config/live-config-systemd_3.0~a27-1_all.deb
live-config-sysvinit_3.0~a27-1_all.deb
  to main/l/live-config/live-config-sysvinit_3.0~a27-1_all.deb
live-config-upstart_3.0~a27-1_all.deb
  to main/l/live-config/live-config-upstart_3.0~a27-1_all.deb
live-config_3.0~a27-1.debian.tar.gz
  to main/l/live-config/live-config_3.0~a27-1.debian.tar.gz
live-config_3.0~a27-1.dsc
  to main/l/live-config/live-config_3.0~a27-1.dsc
live-config_3.0~a27-1_all.deb
  to main/l/live-config/live-config_3.0~a27-1_all.deb
live-config_3.0~a27.orig.tar.gz
  to main/l/live-config/live-config_3.0~a27.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 642396@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 23 Sep 2011 20:40:09 +0200
Source: live-config
Binary: live-config live-config-doc live-config-runit live-config-systemd live-config-sysvinit live-config-upstart
Architecture: source all
Version: 3.0~a27-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-config - Debian Live - System Configuration Scripts
 live-config-doc - Debian Live - System Configuration Scripts (documentation)
 live-config-runit - Debian Live - System Configuration Scripts (runit backend)
 live-config-systemd - Debian Live - System Configuration Scripts (systemd backend)
 live-config-sysvinit - Debian Live - System Configuration Scripts (sysvinit backend)
 live-config-upstart - Debian Live - System Configuration Scripts (upstart backend)
Closes: 642396
Changes: 
 live-config (3.0~a27-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Silencing rmdir calls in makefile.
   * Coding style improvement for if statments in config.sh.
 .
   [ Stanislav Bogatyrev ]
   * Check file existence during _SCRIPTS list construction and make sure
     the resulting list has only unique items (Closes: #642396).
 .
   [ Daniel Baumann ]
   * Using sort -u instead of sort and uniq when sorting scripts.
Checksums-Sha1: 
 ac3f69621dd65d2826ba85809b74f0665d7f3698 1610 live-config_3.0~a27-1.dsc
 9118258ef1f8c3eb091415a30c5a4bff393e7ead 102160 live-config_3.0~a27.orig.tar.gz
 751a46fc4b6d4a20580f36dbf01caab496ef32bf 9485 live-config_3.0~a27-1.debian.tar.gz
 072034c256a5fa3ea27b366219e2e736dfcb7f1e 20410 live-config_3.0~a27-1_all.deb
 840e3c59fc2d8d39ddcaab5c7ee07611cb3f1cf2 41516 live-config-doc_3.0~a27-1_all.deb
 b02783fc07d66aac0c5acb3a8953681b9db8f97b 9226 live-config-runit_3.0~a27-1_all.deb
 772b151de1048bd1eefd3323b71c90103401d153 8964 live-config-systemd_3.0~a27-1_all.deb
 632045eeb252d5b826cecbfdb9d74d0786bb1590 10058 live-config-sysvinit_3.0~a27-1_all.deb
 4410e070197fd5d560c9395baa01e69884d45adf 9908 live-config-upstart_3.0~a27-1_all.deb
Checksums-Sha256: 
 9184cefa9cda22f893482f7f05d2b6e8a7a3fc987392cf53b6cc3aae6f9dda3f 1610 live-config_3.0~a27-1.dsc
 335247019b7597b319dfdbd2d3312bf6b20d23b46544927bbd381418b0bc6fa3 102160 live-config_3.0~a27.orig.tar.gz
 f975fc948ea8755ed4d2cab5b05b336c2886d04d6929f4ebd3989a5719b0e520 9485 live-config_3.0~a27-1.debian.tar.gz
 5e25937ace4c956f272889dfeefc13504a7668b6fc451011a1142f7147daf578 20410 live-config_3.0~a27-1_all.deb
 722ef6a353cea9cb3cbcaf3708244026ff83c9d46838a04890ea4cb01c21e3a2 41516 live-config-doc_3.0~a27-1_all.deb
 350d0b43cb0b239f5e0f9a95479ed0910cf88623c3066fa5d8d66051d3a78841 9226 live-config-runit_3.0~a27-1_all.deb
 bc2b61e56cd3bd568c5f6121eb571a3e634a902c3f129807b1017dc8ae91800e 8964 live-config-systemd_3.0~a27-1_all.deb
 e23423c42c1612ac26e42941cb3395548faf2cc7266123664e8c2e826ff092ec 10058 live-config-sysvinit_3.0~a27-1_all.deb
 facb1ba4055abb0e85d4c352438df8496cc4b5312f9206a5b17c9dc76540bd39 9908 live-config-upstart_3.0~a27-1_all.deb
Files: 
 516faaaf798c240c42fd89fec6b58eae 1610 misc optional live-config_3.0~a27-1.dsc
 9ec3263f520e6e21e967d6bf85e1c9ff 102160 misc optional live-config_3.0~a27.orig.tar.gz
 a9d54f0775a17db8ab3691cbb43c883c 9485 misc optional live-config_3.0~a27-1.debian.tar.gz
 d11c9050ebd22a07aef745a84bb67842 20410 misc optional live-config_3.0~a27-1_all.deb
 a93503d590b45eccf1f7bd7556f4dff9 41516 doc optional live-config-doc_3.0~a27-1_all.deb
 7a2ceb06932e86cc6d57211733201319 9226 misc optional live-config-runit_3.0~a27-1_all.deb
 f5ebd9f55d933d5fb9ed123ed1863e4c 8964 misc optional live-config-systemd_3.0~a27-1_all.deb
 f62bb05c75f6c1694ccb625af40d369e 10058 misc optional live-config-sysvinit_3.0~a27-1_all.deb
 68f6aaa933c963dd2ca0d3e470f8e975 9908 misc optional live-config-upstart_3.0~a27-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk581X4ACgkQ+C5cwEsrK55GJQCfb4ZY6TS1NRLmL3JJH1Pz6fHv
VlAAmwVF60bMfavabiIfPplgXO0/Iy1V
=rViU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 22 Oct 2011 07:40:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:54:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.